[Release] Free multi patcher

Discussion in '3DS - Flashcards & Custom Firmwares' started by RednaxelaNnamtra, Jul 1, 2015.

?

Is it working for you?

  1. yes 9.x

    207 vote(s)
    76.7%
  2. no 9.x

    27 vote(s)
    10.0%
  3. yes 8.x

    1 vote(s)
    0.4%
  4. no 8.x

    5 vote(s)
    1.9%
  5. yes 7.x

    2 vote(s)
    0.7%
  6. no 7.x

    2 vote(s)
    0.7%
  7. yes 6.x

    4 vote(s)
    1.5%
  8. no 6.x

    4 vote(s)
    1.5%
  9. yes 5.x

    2 vote(s)
    0.7%
  10. no 5.x

    2 vote(s)
    0.7%
  11. yes 4.x

    8 vote(s)
    3.0%
  12. no 4.x

    11 vote(s)
    4.1%
  13. yes other

    23 vote(s)
    8.5%
  14. no other

    12 vote(s)
    4.4%
Multiple votes are allowed.
  1. RednaxelaNnamtra
    OP

    RednaxelaNnamtra GBAtemp Advanced Fan

    Member
    746
    637
    Dec 8, 2011
    Gambia, The
    Note: Its only possible to use the eshop if you installed the nver from at least 10.2, Tieger from 10.0 use at least the 9.6 firm or Gateway.

    Added Beta4(71) Release

    Hi, the last days I worked on a solution, to use the e-shop on Pasta with firmlaunch. A short time after I found a way to modify Ygw Eshop Spoofer, to get it workwith firmlaunch, rxtools got regionfree implemented, so I checked out how it works and implemented it to my modified patcher.
    I released the first version in the PastaCFW thread, and got positive feadback. Now, after some fixes and additions I will release it, working on gw, rxtools and pasta, on emunand and Sysnand.

    Features (Current Version: 0.5):

    • Homemenu patching for regionfree
    • Nim patching for e-Shop Access(possibly only working on 9.0.0-20 and higher)
    • Nim patching to prevent automatic download of system updates
    • Menu with selection of patches

    Problems:
    • download in sleep mode is not working(please download applications directly through eshop)
    • its not possible to use out of region manuals and DLC

    Planned Feature:
    • Patch Layout(Include in 0.6-Beta release)
    • serial patching for e-shop access on systems with changed serial
    • get out of Region DLC and Manuals working
    • dlp Patching for regionfree download play
    • Locale Emulation fix some problems with out of region applications
    • a .3ds lite version(will use kernel hax, so it wont work with firmspoof and emunand)
    • a new icon and banner
    Tested compability:
    • Emunand
      • n3DS 9.5 Gateway
      • n3DS 9.5 Reisyukaku CFW
      • n3DS 9.5 CakesFW
      • o3DS 9.5 rxtools
    • Sysnand:
      • n3DS 9.0 Pasta
      • n3DS 9.2 Pasta
      • o3DS 9.2 rxtools
    • Others see poll

    Changelog:

    Code:
    Version 0.5
    * Added NS patching to allow out of region game cards
    
    Version 0.4
    * Some minor background changes
    * Moved no auto update download patch to its own point
    
    Version 0.3
    * Initial Release
    Notes:
    • The testversions on the Pasta thread replaced Ygw Eshop Spoofer, this version wont do this.
    • I have not much experience on reverse engineering(Mostly I only read sourcecode and stuff on 3dbrew and try n error things), so I cant promise anything.

    Credits:
    • felipejfc for the base application
    • Roxas75 for releasing a way to dynamicly patch regionfree

    Downloads:
    Beta Releases
     

    Attached Files:

    Last edited by RednaxelaNnamtra, Jan 22, 2016


  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,885
    5,032
    Mar 17, 2010
    Norway
    Alola
    Can you add this patch?
    http://pastebin.com/Gmm48dsa
    It prevents system updates from being downloaded automatically, and by extension prevents update prompts.
     
  3. RednaxelaNnamtra
    OP

    RednaxelaNnamtra GBAtemp Advanced Fan

    Member
    746
    637
    Dec 8, 2011
    Gambia, The
    It should be inside nim patching, but was not able to test it.

    Edit:
    It was theoreticaly implemented in this version, but because of a mistake it didnt get applyed.
     
    Last edited by RednaxelaNnamtra, Jul 2, 2015
  4. Blueie

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    So this should allow us to access eShop via the GW emuNAND for N3DS despite not supporting 9.8, and use out of region DLC and updates with a CFW?
     
  5. RednaxelaNnamtra
    OP

    RednaxelaNnamtra GBAtemp Advanced Fan

    Member
    746
    637
    Dec 8, 2011
    Gambia, The
    Dont know about out of region dlc and Updates, regionfree is based on rxtools regionfree, so it has the same problems.

    e-shop is working with this on new 3DS 9.5, yes :)
     
    MattKimura and Blueie like this.
  6. Blueie

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    Guess that's a no, then.

    :yay:
     
  7. MrDaveIsAwesome

    MrDaveIsAwesome Member

    Newcomer
    38
    10
    Nov 22, 2014
    United States
    Nice work
     
  8. samiam144

    samiam144 RĂ©gulier

    Member
    2,870
    935
    Aug 19, 2007
    Canada
    It should accept out-of-region cias, like rxtools IIRC. Just not some cartridges, as you know.
     
  9. Blueie

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    Out of region DLC and updates don't work on RxTools for me, only games.
     
  10. samiam144

    samiam144 RĂ©gulier

    Member
    2,870
    935
    Aug 19, 2007
    Canada
    I see. Now I'm curious to double-check. I may have thought I was in rxtools when I may have been in GW emunand testing the region-free lol
     
  11. megazero1x1

    megazero1x1 GBAtemp Fan

    Member
    427
    93
    Oct 16, 2011
    India
    noob question here, but what exactly does this do ?
     
  12. RainThunder

    RainThunder GBAtemp Regular

    Member
    212
    133
    Jun 22, 2012
    Hanoi
    Read the OP please.
    • Homemenu patching for regionfree
    • Nim patching for e-Shop Access
    • Menu with selection of patches
     
    RednaxelaNnamtra and Zidapi like this.
  13. 3dslove79

    3dslove79 GBAtemp Regular

    Member
    137
    22
    Jul 27, 2014
    Italy
    Thanks for your release ,i tested it on 9.8 eur rxtools emunand with downgraded browser, it works well
     
  14. megazero1x1

    megazero1x1 GBAtemp Fan

    Member
    427
    93
    Oct 16, 2011
    India
    I did, it's just that it wasn't very clear.
    My bad: I had a derp moment
     
    OctopusRift likes this.
  15. Kirbs

    Kirbs GBAtemp Fan

    Member
    304
    39
    Jan 12, 2015
    United States
  16. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Works fine for me (tried with a game update)
     
  17. Kirbs

    Kirbs GBAtemp Fan

    Member
    304
    39
    Jan 12, 2015
    United States
    Well I downloaded the mario kart 7 update and it did work. But, with the super smash bros. update that's when the error happens.
     
  18. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Did you install the cia update before ?
     
  19. Kirbs

    Kirbs GBAtemp Fan

    Member
    304
    39
    Jan 12, 2015
    United States
    Yes, I did. But, then I also tried it while deleting the old cia update and it still gave me the same error.
     
  20. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France